var t = require("../../common/vendor.js"),
  e = {
    __name: "index",
    props: {
      data: { type: String, default: "" },
      fontSize: { type: String, default: "28rpx" },
    },
    setup: function (e) {
      return function (a, r) {
        return t.e(
          { a: e.data.trim().length < 7 },
          e.data.trim().length < 7
            ? { b: t.t(e.data.trim()) }
            : {
                c: t.t(e.data.trim().substring(0, 2)),
                d: t.t(e.data.trim().substring(2)),
              },
          {
            e: e.data.trim().length > 7 ? 1 : "",
            f: e.data.trim().length < 7 ? 1 : "",
            g: e.fontSize,
          }
        );
      };
    },
  },
  a = t._export_sfc(e, [["__scopeId", "data-v-78f4d0b2"]]);
wx.createComponent(a);
